Issue 5363

Title
tax_rounding defines on the wrong module
Priority
bug
Status
resolved
Nosy list
ced, pokoli, roundup-bot, shrox
Assigned to
shrox
Keywords
easy, review

Created on 2016-03-03.09:49:42 by ced, last changed 64 months ago by roundup-bot.

Messages

New changeset 5a5016ab2b3d by Shreedhar Manek in branch 'default':
Move tax_rounding from account_invoice module to account module
http://hg.tryton.org/modules/account_invoice/rev/5a5016ab2b3d
New changeset a958bbb8389d by Shreedhar Manek in branch 'default':
Move tax_rounding configuration from account_invoice to account module
http://hg.tryton.org/modules/account/rev/a958bbb8389d
Author: [hidden] (shrox)
Date: 2016-03-17.12:58:07
Two reviews currently - review20851002 and review20871002
Author: [hidden] (shrox)
Date: 2016-03-17.12:36:58
Added review for account_invoice module
Author: [hidden] (shrox)
Date: 2016-03-17.12:31:17
@ced I see! I'll get used to the terminology soon!
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2016-03-17.12:05:34
On 2016-03-17 11:31, Shreedhar Manek wrote:
> @ced okay, I'll do that. I asked kstenger if it was okay to add it to the same issue and she said that it was because they were related modules.

She talked about issue on the bugtracker. We use the term of review on
codereview.tryton.org
Author: [hidden] (shrox)
Date: 2016-03-17.11:31:47
@ced okay, I'll do that. I asked kstenger if it was okay to add it to the same issue and she said that it was because they were related modules.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2016-03-17.10:10:38
@shrox you must create a separate review for account_invoice
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2016-03-16.23:27:43
Please try to submit both reviews in the same time, it will be easier to review.
Author: [hidden] (shrox)
Date: 2016-03-16.22:50:51
Submitted path for review after rectifications from first review.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2016-03-13.16:22:05
It will be good to have it fixed before the release freeze at the 28th March.
Author: [hidden] (shrox)
Date: 2016-03-12.21:08:47
I will continue with this work after 3 days. My mid semester exams in college now. Will definitively resolve this and other bugs soon.
Author: [hidden] (shrox)
Date: 2016-03-12.21:07:14
Changing status to 'testing'
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2016-03-12.10:12:00
We are missing the review for account_invoice.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2016-03-12.10:11:09
@shrox Don't forget to drop a message when you submit a review and set the status to testing.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2016-03-03.09:49:41
Since r f57cb6b80d9d, the tax_rounding configuration is used in the module account and no more in account_invoice so the configuration should be moved from account_invoice to account module.
History
Date User Action Args
2016-03-25 10:32:14roundup-botsetmessages: + msg25250
2016-03-25 10:31:33roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg25249
2016-03-17 13:00:11reviewbotsetreviews: 20851002 -> 20851002, 20871002
2016-03-17 12:58:07shroxsetmessages: + msg25113
2016-03-17 12:37:28shroxsetreviews: 20851002 20871002 -> 20851002
2016-03-17 12:36:59shroxsetreviews: 20851002 -> 20851002 20871002
messages: + msg25112
2016-03-17 12:31:17shroxsetmessages: + msg25111
2016-03-17 12:05:34cedsetmessages: + msg25110
2016-03-17 11:31:48shroxsetmessages: + msg25109
2016-03-17 10:10:39cedsetmessages: + msg25108

Showing 10 items. Show all history (warning: this could be VERY long)